%% MATLAB code: Dynamics computation of 6 DOF PUMA robot 
addpath('function');
clear; clc;

% STEP 1: Computation of joint torques
run step1_compute_torques;
 
% STEP 2: Computation of M, C, and g
run step2_compute_M_C_g;
 
% STEP 3: MATLAB code to C code
run step3_convert_to_C_code;