function G = GravityVector(q)
global a1 a2 a3 m1 m2 m3;
global r1cx r1cy r1cz r2cx r2cy r2cz r3cx r3cy r3cz;
global J1xx J1xy J1xz J1yx J1yy J1yz J1zx J1zy J1zz;
global J2xx J2xy J2xz J2yx J2yy J2yz J2zx J2zy J2zz;
global J3xx J3xy J3xz J3yx J3yy J3yz J3zx J3zy J3zz;

c1 = cos(q(1)); c2 = cos(q(2)); c3 = cos(q(3));
s1 = sin(q(1)); s2 = sin(q(2)); s3 = sin(q(3));

g = 9.81;

t2 = c2.*c3;
t3 = c2.*m2;
t4 = a3+r3cx;
t5 = c2.*s3;
t6 = c3.*s2;
t7 = m2.*s2;
t8 = s2.*s3;
t9 = -t8;
t10 = t5+t6;
t11 = t2+t9;
t12 = m3.*r3cy.*t10;
t13 = m3.*s3.*t10;
t14 = c3.*m3.*t10;
t15 = m3.*s3.*t11;
t16 = c3.*m3.*t11;
t17 = -t14;
t19 = m3.*t4.*t11;
t18 = -t15;
t20 = -t19;
t21 = t13+t16;
t22 = t15+t17;
t23 = t3+t21;
t24 = t7+t14+t18;
G = [-g.*(c2.*(-r2cz.*(t14+t18)+r3cz.*t14+r3cz.*t18+r2cz.*t24)-s2.*(r3cz.*t13+r3cz.*t16-r2cz.*t21+r2cz.*t23)),g.*(t12+t20-t23.*(a2+r2cx)-r2cy.*(t14+t18)+r2cx.*t21+r2cy.*t24),g.*(t12+t20)];
G = G';
