%% MATLAB code: step3_convert_to_C_code.m

% Matlab function generation of inertia matrix
M = [mass(1,1) mass(1,2) mass(1,3);
     mass(2,1) mass(2,2) mass(2,3);
     mass(3,1) mass(3,2) mass(3,3)];
matlabFunction(M,'File','Results\InertiaMatrix');
'Inertia matrix written'

% Matlab function generation of coriolis matrix
C = [coriolis(1,1) coriolis(1,2) coriolis(1,3);
     coriolis(2,1) coriolis(2,2) coriolis(2,3);
     coriolis(3,1) coriolis(3,2) coriolis(3,3)]; 
matlabFunction(C,'File','Results\CoriolisMatrix');
'Coriolis matrix written'

% Matlab function generation of gravity vector
G = [gravity(1,1) gravity(2,1) gravity(3,1)];
matlabFunction(G,'File','Results\GravityVector');
'Gravity vector written'

'Step 3 completed'